Package net.md_5.bungee.api.chat

# Class KeybindComponent

java.lang.Object
net.md_5.bungee.api.chat.BaseComponent
net.md_5.bungee.api.chat.KeybindComponent

public final class KeybindComponent extends BaseComponent

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class net.md_5.bungee.api.chat.BaseComponent

  `BaseComponent.LimitedStringVisitor, BaseComponent.StringVisitor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeybindComponent()`
  `KeybindComponent(String keybind)`
  Creates a keybind component with the passed internal keybind value.
  `KeybindComponent(KeybindComponent original)`
  Creates a keybind component from the original to clone it.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `KeybindComponent`
  `duplicate()`
  Clones the BaseComponent and returns the clone.
  `boolean`
  `equals(Object o)`
  `String`
  `getKeybind()`
  The keybind identifier to use.
  `int`
  `hashCode()`
  `void`
  `setKeybind(String keybind)`
  The keybind identifier to use.
  `protected void`
  `toLegacyText(BaseComponent.StringVisitor builder)`
  `protected void`
  `toPlainText(BaseComponent.StringVisitor builder)`
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.chat.BaseComponent

  `addExtra, addExtra, applyStyle, copyFormatting, copyFormatting, copyFormatting, duplicateWithoutFormatting, getClickEvent, getColor, getColorRaw, getExtra, getFont, getFontRaw, getHoverEvent, getInsertion, getShadowColor, getShadowColorRaw, getStyle, hasFormatting, hasStyle, isBold, isBoldRaw, isItalic, isItalicRaw, isObfuscated, isObfuscatedRaw, isReset, isStrikethrough, isStrikethroughRaw, isUnderlined, isUnderlinedRaw, retain, setBold, setClickEvent, setColor, setExtra, setFont, setHoverEvent, setInsertion, setItalic, setObfuscated, setReset, setShadowColor, setStrikethrough, setStyle, setUnderlined, toLegacyText, toLegacyText, toPlainText, toPlainText`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KeybindComponent

    public KeybindComponent(KeybindComponent original)
    Creates a keybind component from the original to clone it.
    Parameters:
      `original` - the original for the new keybind component.

  - ### KeybindComponent

    public KeybindComponent(String keybind)
    Creates a keybind component with the passed internal keybind value.
    Parameters:
      `keybind` - the keybind value
    See Also:
      - `Keybinds`

  - ### KeybindComponent

    public KeybindComponent()

- ## Method Details

  - ### duplicate

    public KeybindComponent duplicate()
    Description copied from class: `BaseComponent`
    Clones the BaseComponent and returns the clone.
    Specified by:
      `duplicate` in class `BaseComponent`
    Returns:
      The duplicate of this BaseComponent

  - ### toPlainText

    protected void toPlainText(BaseComponent.StringVisitor builder)

  - ### toLegacyText

    protected void toLegacyText(BaseComponent.StringVisitor builder)

  - ### getKeybind

    public String getKeybind()
    The keybind identifier to use.
    Will be replaced with the actual key the client is using.

  - ### setKeybind

    public void setKeybind(String keybind)
    The keybind identifier to use.
    Will be replaced with the actual key the client is using.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BaseComponent`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `BaseComponent`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `BaseComponent`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `BaseComponent`